Installation of SIMATIC Energy Suite

Examples See also History Extra
Installation of SIMATIC Energy Suite

This section contains information on the following topics:
  • Introduction
  • Licenses
  • System requirements
  • Installing Energy Suite
  • Uninstalling Energy Suite


Introduction

Languages
Introduction

The "SIMATIC Energy Suite V16.0" add-on package expands STEP 7 and WinCC (TIA Portal) with additional TIA components for engineering and for WinCC Runtime.

For SIMATIC Energy Suite V16.0, you also install SIMATIC Energy Suite Toolbox with the transfer component for archiving with WinCC Professional and the SIMATIC Energy Suite Export Tool. The SIMATIC Energy Suite Export tool provides you support for visual evaluation of the periodic archived energy values.

This documentation describes the installation of SIMATIC Energy Suite V16.0 as well as the hardware and software requirements.

Languages

The Setup is available in several languages. The following languages are supported:

  • German

  • English

  • French

  • Spanish

  • Italian

  • Chinese


Licenses

License types Overview of licenses for SIMATIC Energy Suite
Licenses

License types

The following license types are available for SIMATIC Energy Suite:

  • Engineering license for engineering and configuration of the energy objects (offline)

  • Runtime license for the generation of the energy program and Runtime mode (CPU with energy program in RUN, data logging in Runtime)

Overview of licenses for SIMATIC Energy Suite

License | Number of licensed energy objects (EnO) | License type
Engineering
SIMATIC Energy Suite V16.0 Engineering including 10 energy objects | 2 x 5 EnO | Floating
SIMATIC Energy Suite V16.0 Engineering Trial | - | Trial
Runtime
SIMATIC Energy Suite for S7-1500 5 energy objects | 1 x 5 EnO | Certificate of license (CoL)
SIMATIC Energy Suite for S7-1500 10 energy objects | 2 x 5 EnO | Certificate of license (CoL)
SIMATIC Energy Suite for S7-1500 10 energy objects | 1 x 10 EnO | Certificate of license (CoL)
SIMATIC Energy Suite for S7-1500 50 energy objects | 5 x 10 EnO | Certificate of license (CoL)
SIMATIC Energy Suite for S7-1500 100 energy objects | 10 x 10 EnO | Certificate of license (CoL)


System requirements

Software Requirements Hardware requirements Compatibility of SIMATIC Energy Suite with CPU and FW
System requirements

Software Requirements

  • STEP 7 Professional as of V16.0

  • WinCC Professional as of V16.0 for archiving and visualization on PC (SCADA system)

  • WinCC Basic, WinCC Comfort or WinCC Advanced as of V16 for visualization on the SIMATIC Comfort Panel

Hardware requirements

No further hardware requirements for the Energy Suite components apply besides the requirements for STEP 7 Professional and the relevant WinCC Editions.

Compatibility of SIMATIC Energy Suite with CPU and FW

The following table shows the compatibility of CPUs to the respective Energy Suite versions.

CPU / ET 200SP CPU | FW | Energy Suite version
S7-1500 CPU | ≥ V2.0 | V14.0 V14.0 SP1 V15.0 V15.1 V16.0


Installing Energy Suite

Installing Energy Suite

This section contains information on the following topics:
  • Basics for installation
  • Installing Energy Suite with the product CD


Basics for installation

Installation medium Installation License concept
Siemens Industry Online Support
Basics for installation

SIMATIC Energy Suite installs additional TIA components, for example, global libraries and energy objects. The global libraries contain blocks and data types.
Uninstalling removes the installed files and the erases the settings made by the system, STEP 7 and WinCC (TIA Portal).

Installation medium

You can install SIMATIC Energy Suite from the following installation media:

  • Using the product CD via a CD/DVD drive

  • Via a software server

  • From a USB drive

Installation

Start the installation by selecting "Start.exe" on the respective installation medium.

License concept

The licenses can be transferred to the engineering system during installation in the "License transfer" installation step. After installation, the Energy Suite licenses are displayed in the Automation License Manager.


Installing Energy Suite with the product CD

Requirement Procedure Result
- Open all Collapse all
Installing Energy Suite with the product CD

Requirement

  • You have administrator rights to install the SIMATIC Energy Suite.

  • The product CD is inserted into the CD/DVD drive.

  • STEP 7 (TIA Portal) is installed.

Procedure

  1. Double-click the "Start.exe" file on the product CD.

    The dialog box for selecting a language opens.

    The following languages are available:

    • German

    • English

    • French

    • Spanish

    • Italian

    • Chinese

  2. Select the desired language for the installation and click "Next".

    The installation wizard opens.

  3. Activate "SIMATIC Energy Suite V16.0" and select a target folder.

  4. Read and accept the license terms and well as the security information and click "Next".

    The overview with the components to be installed as well as the installation path is displayed.

  5. Click "Install".

    SIMATIC Energy Suite is installed.

  6. Click "Finish" to complete your installation.

  7. Install SIMATIC Energy Suite Toolbox in the same way.

Result

SIMATIC Energy Suite is successfully installed.

The Energy Suite Library is available under "Global libraries" in STEP 7 (TIA Portal).


Uninstalling Energy Suite

Requirement Procedure Result
Uninstalling Energy Suite

Requirement

  • You have administrative rights to uninstall.

  • The product CD is inserted into the CD/DVD drive.

  • STEP 7 (TIA Portal) is installed.

    Note

    When STEP 7 (TIA Portal) is uninstalled, all components of the SIMATIC Energy Suite are removed as well.

Procedure

  1. Double-click the "Start.exe" file on the product CD.

    The dialog box for selecting a language opens.

  2. Select the desired language for the removal and click "Next".

    The installation wizard opens.

  3. Activate "Remove" and click "Next".

    The overview of the components to be removed is displayed.

  4. Click "Remove".

    SIMATIC Energy Suite is uninstalled.

  5. Click "Finish" to complete the removal.

Result

SIMATIC Energy Suite is successfully uninstalled.

In STEP 7 (TIA Portal), the components of SIMATIC Energy Suite are removed.